<?xml version="1.0" encoding="UTF-8"?>
<Wix xmlns="http://schemas.microsoft.com/wix/2006/wi">
    <Product Id="*" UpgradeCode="*" Version="{{.version}}" Language="1033" Name="TestApp" Manufacturer="jami">
        <Package InstallerVersion="300" Compressed="yes"/>
        <Media Id="1" Cabinet="TestApp.cab" EmbedCab="yes" />
        <Directory Id="TARGETDIR" Name="SourceDir">
            <Directory Id="ProgramFilesFolder">
                <Directory Id="APPLICATIONROOTDIRECTORY" Name="TestApp">
                    <Directory Id="ASSETSDIRECTORY" Name="assets"/>
                    <Directory Id="FLUTTERASSETSDIRECTORY" Name="flutter_assets">
                        <?include directories.wxi ?>
                    </Directory>
                </Directory>
            </Directory>
            <Directory Id="ProgramMenuFolder">
                <Directory Id="ApplicationProgramsFolder" Name="TestApp"/>
            </Directory>
        </Directory>
        <Icon Id="ShortcutIcon" SourceFile="build/assets/icon.ico"/>
        <DirectoryRef Id="APPLICATIONROOTDIRECTORY">
            <Component Id="test_app_flutter.exe" Guid="*">
                <File Id="test_app_flutter.exe" Source="build/test_app_flutter.exe" KeyPath="yes"/>
            </Component>
            <Component Id="flutter_engine.dll" Guid="*">
                <File Id="flutter_engine.dll" Source="build/flutter_engine.dll" KeyPath="yes"/>
            </Component>
            <Component Id="icudtl.dat" Guid="*">
                <File Id="icudtl.dat" Source="build/icudtl.dat" KeyPath="yes"/>
            </Component>
        </DirectoryRef>
        <DirectoryRef Id="ASSETSDIRECTORY">
            <Component Id="icon.png" Guid="*">
                <File Id="icon.png" Source="build/assets/icon.png" KeyPath="yes"/>
            </Component>
        </DirectoryRef>
        <?include directory_refs.wxi ?>
        <DirectoryRef Id="ApplicationProgramsFolder">
            <Component Id="ApplicationShortcut" Guid="*">
                <Shortcut Id="ApplicationStartMenuShortcut"
                          Name="TestApp"
                          Description="Learn better with TestApp!"
                          Target="[#test_app_flutter.exe]"
                          WorkingDirectory="APPLICATIONROOTDIRECTORY"
                          Icon="ShortcutIcon"/>
                <RemoveFolder Id="CleanUpShortCut" On="uninstall"/>
                <RegistryValue Root="HKCU" Key="Software\TestApp System\TestApp" Name="installed" Type="integer" Value="1" KeyPath="yes"/>
            </Component>
        </DirectoryRef>
        <Feature Id="MainApplication" Title="TestApp" Level="1">
            <ComponentRef Id="test_app_flutter.exe"/>
            <ComponentRef Id="flutter_engine.dll"/>
            <ComponentRef Id="icudtl.dat"/>
            <ComponentRef Id="icon.png"/>
            <ComponentRef Id="ApplicationShortcut"/>
            <?include component_refs.wxi ?>
        </Feature>
    </Product>
</Wix>